- hosts: all

  tasks:
  
    - name: install packages
      ansible.builtin.package:
        name: 'python3-pip'
        state: present    
        update_cache: yes

    - name: install python modules
      pip: 
        name: ['docker']

    - name: deploy app
      community.docker.docker_container:
        container_default_behavior: no_defaults
        name: app
        image: hexletcomponents/devops-example-app
        ports:
          - "80:5000"
        env:
          SERVER_MESSAGE: "{{ ansible_default_ipv4.address }}"

